﻿@{
    ViewBag.Title = "ExpertTestTopic";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";
}
@section headerStyle{
    <script type="text/javascript">

        var topictype = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.topictype))';
        var zhishitype = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.zhishitype))';
        var zhongdian = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.zhongdian))';
        var jiexi_status = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.jiexi_status))';
        var shenpi_status = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.shenpi_status))';
        var Area = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Area))';
        

        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true },
            {
                label: '题型', name: 'TopictypeName', labtype: 'txt', hidden: false, width: 30
            },

            {
                label: '知识点', name: 'ZhishitypeName', labtype: 'txt', hidden: false, width: 40
            },
            { label: '区域', name: 'AreaName', labtype: 'txt', hidden: false, width: 30 },
            { label: '试题', name: 'Topic', labtype: 'txt', hidden: false, width: 300 },
            { label: '答案', name: 'Anwsers', labtype: 'txt', hidden: false, width: 30 },
            { label: '重点标注', name: 'ZhongdianName', labtype: 'txt', hidden: false, width: 30 },
            //{ label: '审核', name: 'ShenpiStatusName', labtype: 'txt', hidden: false, width: 40 },
            { label: '答案对应的法条', name: 'Jiexi', labtype: 'txt', hidden: false, width: 340 },


            {
                label: '操作', name: 'caozuo', labtype: 'txt', hidden: false, width: 50,
                formatter: function (cellvalue, options, rowObject) {
                    return "<a onclick=\"OpenWindow('修改','98%','100%', '/ExpertTestTopic/Edit?id=" + rowObject.Id + "')\"  >修改</a>&nbsp;&nbsp;&nbsp;<a onclick=\"_pagedel('" + rowObject.Id + "')\"  >删除</a>";
                }
            },
            //{
            //    label: '解析', name: 'jiexiya', labtype: 'txt', hidden: false, width: 50,
            //    formatter: function (cellvalue, options, rowObject) {
            //        return "<a onclick=\"OpenWindow('修改','100%','100%', '/ExpertTestTopicjiexi/Index?topocId=" + rowObject.Id + "')\"  >解析</a>";
            //    }
            //},

        ];
        dataUrl = "/ExpertTestTopic/GetList?JiexiStatus=D&ShenpiStatus=D";
        searchCol = [
            { label: '区域', name: 'Area', labtype: 'combox', hidden: false, data: JSON.parse(Area), cwidth: '5%', cccwidth: '15%' },
            { label: '题型', name: 'Topictype', labtype: 'combox', hidden: false, data: JSON.parse(topictype), cwidth: '5%', cccwidth: '15%' },
            { label: '知识点', name: 'Zhishitype', labtype: 'combox', hidden: false, data: JSON.parse(zhishitype), cwidth: '5%', cccwidth: '15%' },
            { label: '重点标注', name: 'Zhongdian', labtype: 'combox', hidden: false, data: JSON.parse(zhongdian), cwidth: '5%', cccwidth: '15%' },
            { label: '解析', name: 'JiexiStatus', labtype: 'combox', hidden: false, data: JSON.parse(jiexi_status), cwidth: '5%', cccwidth: '15%' },
            { label: '审核', name: 'ShenpiStatus', labtype: 'combox', hidden: false, data: JSON.parse(shenpi_status), cwidth: '5%', cccwidth: '15%' },
            
            { label: '试题', name: 'Topic', labtype: 'txt', hidden: false },



            



        ];


        var _pageAdd = function () {
            OpenWindow("新增物品", "98%", "90%", "/ExpertTestTopic/Edit/");
        }

        var _pagedel = function (id) {
            if (confirm('是否删除记录')) {
                $.ajax({
                    type: "GET",
                    url: "/ExpertTestTopic/Nullify?Id=" + id,
                    dataType: "json",
                    global: false,
                    data: '',
                    success: function (data) {


                        if (data.Result) {

                            layer.msg('删除成功', { icon: 6 });
                            window._reloadPageData();
                        }
                        else {
                            // toastr.error("");
                            layer.msg('删除失败', { icon: 5 });
                        }

                    },
                    error: function () {
                        if ($.isNumber(imgLoad)) {
                            layer.close(imgLoad);
                        }
                        //toastr.error("保存失败");

                        layer.msg('保存失败', { icon: 5 });
                    }
                });
            }


        }
        var _pageSearch = function () {
            $("#jqGrid").jqGrid('setGridParam', {
                url: '/ExpertTestTopic/GetList', postData: jsons, page: 1
            }); //重新载入
            var jsons = GetSearchEnd();
            if (jsons == false) {
                msg.info("请录入查询条件");
                return false;
            }
            LoadGrid(jsons);
        }

        $(document).ready(function () {

            
            $("#PBSJiexiStatus").val("D");
            $("#PBSJiexiStatus").trigger('chosen:updated');//更新选项
            $("#PBSShenpiStatus").val("D");
            $("#PBSShenpiStatus").trigger('chosen:updated');//更新选项
            

        }); 

        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
        /**/
    }
        }


        var _pagePrint = function () {

            var Area = $("#PBSArea").val();
            var Topictype = $("#PBSTopictype").val();
            
            var Zhishitype = $("#PBSZhishitype").val();
            var Zhongdian = $("#PBSZhongdian").val();
            var JiexiStatus = $("#PBSJiexiStatus").val();

            var ShenpiStatus = $("#PBSShenpiStatus").val();
            var Topic = $.trim($("#PBSTopic").val());



            var url = "/ExpertTestTopic/print?Area=" + Area + "&Topictype=" + Topictype + "&Zhishitype=" + Zhishitype
                + "&Zhongdian=" + Zhongdian + "&JiexiStatus=" + JiexiStatus + "&ShenpiStatus=" + ShenpiStatus
                + "&Topic=" + Topic;
            var me = window.open(url, "打印");  //打开新窗口


        }
    </script>
}

@section footerScripts{
    <script type="text/javascript">





    </script>
}
